"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = codepushReleaseReact;

var _child_process = require("child_process");

function targetBinary(targetBinary) {
    return targetBinary ? "-t \"" + targetBinary + "\"" : "";
}

function appName(pkgName, platform) {
    return "\"" + pkgName + "-" + platform + "\"";
}

function reactNativeRelease(argv, platform, pkg) {
    return ["code-push", "release-react", appName(pkg.name, platform), platform, "-d \"" + argv.deploymentName + "\"", "--des \"" + argv.description + "\"", "--dev " + argv.development, "-m " + argv.mandatory, targetBinary(argv.targetBinary)].join(" ");
}

function reactNativeReleaseStatus(pkgName, platform) {
    return ["code-push", "deployment", "list", appName(pkgName, platform)].join(" ");
}

function codepushReleaseReact(argv, platform, pkg) {
    (0, _child_process.execSync)(reactNativeRelease(argv, platform, pkg), { stdio: [0, 1, 2] });
    (0, _child_process.execSync)(reactNativeReleaseStatus(pkg.name, platform), { stdio: [0, 1, 2] });
}